Skip to main content
POST
/
api
/
v2.1
/
verifications
cURL
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/verifications \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
  "type": "IDENTITY_VERIFICATION",
  "requestedLevel": "TENANT_VERIFIED",
  "requestedByUserId": "0d488f57-57ef-4f9a-88a6-f89121cab838",
  "requestedByTenantId": "97e7ff29-15f3-49ef-9681-3bbfcce4f6cd",
  "notes": "Identity Verification"
}
'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/verifications"

payload = {
    "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
    "type": "IDENTITY_VERIFICATION",
    "requestedLevel": "TENANT_VERIFIED",
    "requestedByUserId": "0d488f57-57ef-4f9a-88a6-f89121cab838",
    "requestedByTenantId": "97e7ff29-15f3-49ef-9681-3bbfcce4f6cd",
    "notes": "Identity Verification"
}
headers = {
    "X-Forwarded-For": "<x-forwarded-for>",
    "X-Tenant-ID": "<x-tenant-id>",
    "X-Forwarded-From": "<x-forwarded-from>",
    "platform": "<platform>",
    "deviceId": "<deviceid>",
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-Forwarded-For': '<x-forwarded-for>',
    'X-Tenant-ID': '<x-tenant-id>',
    'X-Forwarded-From': '<x-forwarded-from>',
    platform: '<platform>',
    deviceId: '<deviceid>',
    Authorization: '<authorization>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    customerId: '2dac1793-ab48-420c-b0b5-01292302e188',
    type: 'IDENTITY_VERIFICATION',
    requestedLevel: 'TENANT_VERIFIED',
    requestedByUserId: '0d488f57-57ef-4f9a-88a6-f89121cab838',
    requestedByTenantId: '97e7ff29-15f3-49ef-9681-3bbfcce4f6cd',
    notes: 'Identity Verification'
  })
};

fetch('https://sandbox.finhub.cloud/api/v2.1/verifications', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Create Verification

Creates a verification request for individual or organization onboarding.

Endpoint

POST /api/v2.1/verifications

Common Defaults

  • requestedLevel: TENANT_VERIFIED
  • B2C type: IDENTITY_VERIFICATION
  • B2B type: BUSINESS_VERIFICATION

Required Headers

B2C Example

{
  "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
  "type": "IDENTITY_VERIFICATION",
  "requestedLevel": "TENANT_VERIFIED",
  "requestedByUserId": "0d488f57-57ef-4f9a-88a6-f89121cab838",
  "requestedByTenantId": "97e7ff29-15f3-49ef-9681-3bbfcce4f6cd",
  "notes": "Identity Verification"
}

B2B Example

{
  "customerId": "f458d016-56bb-43a6-856c-4d0456b2c38c",
  "type": "BUSINESS_VERIFICATION",
  "requestedLevel": "TENANT_VERIFIED",
  "requestedByUserId": "da9a15d2-1eb9-4804-a812-b58b03f33018",
  "requestedByTenantId": "97e7ff29-15f3-49ef-9681-3bbfcce4f6cd",
  "notes": "Business Verification"
}

Response Example

200
{
  "code": 200,
  "data": {
    "verificationId": "825f84a5-a709-4e58-a80f-b51871d94cfb",
    "status": "PENDING",
    "verificationType": "KYC"
  },
  "message": "Success"
}

Headers

X-Forwarded-For
string
required
X-Tenant-ID
string
required
X-Forwarded-From
string
required
platform
string
required
deviceId
string
required
Authorization
string
required

Body

application/json
customerId
string
required
Example:

"2dac1793-ab48-420c-b0b5-01292302e188"

type
string
required
Example:

"IDENTITY_VERIFICATION"

requestedLevel
string
required
Example:

"TENANT_VERIFIED"

requestedByUserId
string
required
Example:

"0d488f57-57ef-4f9a-88a6-f89121cab838"

requestedByTenantId
string
required
Example:

"97e7ff29-15f3-49ef-9681-3bbfcce4f6cd"

notes
string
required
Example:

"Identity Verification"

Response

200

Verification created